com.h3c.sdn.misc.net

## Class SuppressedPortsDTO

- java.lang.Object
- - com.h3c.sdn.misc.net.SuppressedPortsDTO

- All Implemented Interfaces:
    SuppressedPorts

      public class SuppressedPortsDTO
      extends Object
      implements SuppressedPorts

  Provides an implementation of `SuppressedPorts`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuppressedPortsDTO(List<BigPortNumber> suppressedPortList)` Default constructor to create a representation of suppressed ports.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `List<BigPortNumber>` | `ports()` Returns the `port numbers` where lldp traffic is suppressed for a particular datapath.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SuppressedPortsDTO

          public SuppressedPortsDTO(List<BigPortNumber> suppressedPortList)

      Default constructor to create a representation of suppressed ports.
      Parameters:
        `suppressedPortList` - the port number as BigPortNumber
      Throws:
        `NullPointerException` - if any parameter is null

  - ### Method Detail

    - #### ports

          public List<BigPortNumber> ports()

      Description copied from interface: `SuppressedPorts`
      Returns the `port numbers` where lldp traffic is suppressed for a particular datapath.
      Specified by:
        `ports` in interface `SuppressedPorts`
      Returns:
        the list of suppressed ports

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.